Install latest version on Ubuntu 14.04 Trusty

Questions and postings pertaining to the usage of ImageMagick regardless of the interface. This includes the command-line utilities, as well as the C and C++ APIs. Usage questions are like "How do I use ImageMagick to create drop shadows?".
Post Reply
mjmj
Posts: 9
Joined: 2018-07-05T11:50:44-07:00
Authentication code: 1152

Install latest version on Ubuntu 14.04 Trusty

Post by mjmj » 2018-07-05T11:53:00-07:00

Hi,

How do I go about installing the latest ImageMagick version on Ubuntu 14.04 Trusty?
apt-get install installs Version: ImageMagick 6.7.7-10 2018-06-11 Q16

Is there a safe PPA or other method, maybe from source to install the latest?

Thanks.

User avatar
fmw42
Posts: 23420
Joined: 2007-07-02T17:14:51-07:00
Authentication code: 1152
Location: Sunnyvale, California, USA

Re: Install latest version on Ubuntu 14.04 Trusty

Post by fmw42 » 2018-07-05T12:49:28-07:00

I am not an expert on this. But you might want to try from source according to https://askubuntu.com/questions/1042436 ... gick-7-0-7

mjmj
Posts: 9
Joined: 2018-07-05T11:50:44-07:00
Authentication code: 1152

Re: Install latest version on Ubuntu 14.04 Trusty

Post by mjmj » 2018-07-05T15:07:44-07:00

Thanks , I was able to get 7.0.8-5 installed using these instructions: https://askubuntu.com/questions/745660/ ... 195#746195

My problem now is that build-dep installs an INSANE amount of packages and I want to remove those once imagemagick is installed. Do I just need the binaries in /usr/local/bin for imagemagick to work? Or do they depend on certain packages on the system?

Unfortunately you can't

Code: Select all

apt-get remove build-dep
and

Code: Select all

apt-cache showsrc imagemagick
is a rabbit hole of packages to someone like me.

Post Reply